package com.bankaudit.template.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="upload_template_audit_v_staging")
public class UploadTemplateAudit {

	/*Table: upload_template_audit_v_staging*/
	/*Column Information*/
	/*----------------------
	Field                      Type          Collation          Null    Key     Default  Extra   Privileges                       Comment  
	-------------------------  ------------  -----------------  ------  ------  -------  ------  -------------------------------  ---------
	AuditCode                 varchar(20)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	AuditTypes                varchar(50)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	AuditGroupCode                 varchar(20)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	AuditGroupName           varchar(500)  latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	AuditGroupWeightage      int(2)        (NULL)             NO              (NULL)           select,insert,update,references           
	AuditSubgroupCode        varchar(20)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	AuditSubGroupName       varchar(50)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	AuditSubGroupWeightage  int(2)        (NULL)             YES             (NULL)           select,insert,update,references    
	*/
	
	@Id
	@Column(name = "id")
	private int id;	

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getAuditCode() {
		return auditCode;
	}

	public void setAuditCode(String auditCode) {
		this.auditCode = auditCode;
	}

	public String getAuditTypes() {
		return auditTypes;
	}

	public void setAuditTypes(String auditTypes) {
		this.auditTypes = auditTypes;
	}

	public String getAuditGroupCode() {
		return auditGroupCode;
	}

	public void setAuditGroupCode(String auditGroupCode) {
		this.auditGroupCode = auditGroupCode;
	}

	public String getAuditGroupName() {
		return auditGroupName;
	}

	public void setAuditGroupName(String auditGroupName) {
		this.auditGroupName = auditGroupName;
	}

	public int getAuditGroupWeightage() {
		return auditGroupWeightage;
	}

	public void setAuditGroupWeightage(int auditGroupWeightage) {
		this.auditGroupWeightage = auditGroupWeightage;
	}

	public String getAuditSubGroupCode() {
		return auditSubGroupCode;
	}

	public void setAuditSubGroupCode(String auditSubGroupCode) {
		this.auditSubGroupCode = auditSubGroupCode;
	}

	public String getAuditSubGroupName() {
		return auditSubGroupName;
	}

	public void setAuditSubGroupName(String auditSubGroupName) {
		this.auditSubGroupName = auditSubGroupName;
	}

	public int getAuditSubGroupWeightage() {
		return auditSubGroupWeightage;
	}

	public void setAuditSubGroupWeightage(int auditSubGroupWeightage) {
		this.auditSubGroupWeightage = auditSubGroupWeightage;
	}

	@Column(name="audit_type_code")
	String auditCode;
	
	@Column(name="audit_type_desc")
	String auditTypes;
	
	@Column(name="audit_group_code")
	String auditGroupCode;
	
	@Column(name="audit_group_name")
	String auditGroupName;
	
	@Column(name="group_weightage")
	int auditGroupWeightage;
	
	@Column(name="audit_sub_group_code")
	String auditSubGroupCode;
	
	@Column(name="audit_sub_group_name")
	String auditSubGroupName;
	
	@Column(name="sub_group_weightage")
	int auditSubGroupWeightage;

	

	@Override
	public String toString() {
		return "UploadTemplateAudit [id=" + id + ", auditCode=" + auditCode + ", auditTypes=" + auditTypes
				+ ", auditGroupCode=" + auditGroupCode + ", auditGroupName=" + auditGroupName + ", auditGroupWeightage="
				+ auditGroupWeightage + ", auditSubGroupCode=" + auditSubGroupCode + ", auditSubGroupName="
				+ auditSubGroupName + ", auditSubGroupWeightage=" + auditSubGroupWeightage + "]";
	}

	
	
	
	
	
	
	
	
}
